Iot Hub Resource - Create Or Update
IoT ハブのメタデータを作成または更新します。 プロパティを変更する通常のパターンは、IoT ハブのメタデータとセキュリティ メタデータを取得し、それらを新しい本文で変更した値と組み合わせて IoT ハブを更新することです。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/IotHubs/{resourceName}?api-version=2026-11-01
URI パラメーター
| Name | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前は大文字と小文字を区別しません。 |
|
resource
|
path | True |
string |
IoT ハブの名前。 |
|
subscription
|
path | True |
string (uuid) |
ターゲット サブスクリプションの ID。 値は UUID である必要があります。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
要求ヘッダー
| Name | 必須 | 型 | 説明 |
|---|---|---|---|
| If-Match |
string |
IoT Hub の ETag。 新しい IoT Hub を作成するように指定しないでください。 既存の IoT Hub を更新するために必要です。 |
要求本文
| Name | 必須 | 型 | 説明 |
|---|---|---|---|
| location | True |
string |
リソースが存在する地理的な場所 |
| sku | True |
IotHub SKU 情報 |
|
| etag |
string |
Etag フィールドは 必要ありません。 応答本文で指定する場合は、通常の ETag 規則に従ってヘッダーとしても指定する必要があります。 |
|
| identity |
IotHub のマネージド ID。 |
||
| properties |
IotHub プロパティ |
||
| tags |
object |
リソース タグ。 |
応答
| Name | 型 | 説明 |
|---|---|---|
| 200 OK |
リソース「IotHubDescription」更新操作が成功しました |
|
| 201 Created |
リソース「IotHubDescription」作成操作が成功しました ヘッダー
|
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| Name | 説明 |
|---|---|
| user_impersonation | あなたのユーザー アカウントになりすます |
例
|
Create |
|
Iot |
CreateOrReplace_IotHub
要求のサンプル
PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub?api-version=2026-11-01
{
"location": "centraluseuap",
"tags": {},
"etag": "AAAAAAFD6M4=",
"properties": {
"ipFilterRules": [],
"networkRuleSets": {
"defaultAction": "Deny",
"applyToBuiltInEventHubEndpoint": true,
"ipRules": [
{
"filterName": "rule1",
"action": "Allow",
"ipMask": "131.117.159.53"
},
{
"filterName": "rule2",
"action": "Allow",
"ipMask": "157.55.59.128/25"
}
]
},
"eventHubEndpoints": {
"events": {
"retentionTimeInDays": 1,
"partitionCount": 2
}
},
"routing": {
"endpoints": {
"serviceBusQueues": [],
"serviceBusTopics": [],
"eventHubs": [],
"storageContainers": []
},
"routes": [
{
"name": "Routeid",
"source": "DeviceMessages",
"condition": "true",
"endpointNames": [
"events"
],
"isEnabled": true
}
],
"fallbackRoute": {
"name": "$fallback",
"source": "DeviceMessages",
"condition": "true",
"endpointNames": [
"events"
],
"isEnabled": true
}
},
"storageEndpoints": {
"$default": {
"sasTtlAsIso8601": "PT1H",
"connectionString": "",
"containerName": ""
}
},
"messagingEndpoints": {
"fileNotifications": {
"lockDurationAsIso8601": "PT1M",
"ttlAsIso8601": "PT1H",
"maxDeliveryCount": 10
}
},
"enableFileUploadNotifications": false,
"cloudToDevice": {
"maxDeliveryCount": 10,
"defaultTtlAsIso8601": "PT1H",
"feedback": {
"lockDurationAsIso8601": "PT1M",
"ttlAsIso8601": "PT1H",
"maxDeliveryCount": 10
}
},
"features": "None",
"minTlsVersion": "1.2",
"enableDataResidency": true
},
"sku": {
"name": "S1",
"capacity": 1
}
}
応答のサンプル
{
"id": "/subscriptions/ae24ff83-d2ca-4fc8-9717-05dae4bba489/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub",
"name": "testHub",
"type": "Microsoft.Devices/IotHubs",
"location": "centraluseuap",
"tags": {},
"etag": "AAAAAAFD6M4=",
"properties": {
"state": "Active",
"provisioningState": "Succeeded",
"ipFilterRules": [
{
"filterName": "rule1",
"action": "Accept",
"ipMask": "131.117.159.53"
},
{
"filterName": "rule2",
"action": "Accept",
"ipMask": "157.55.59.128/25"
}
],
"networkRuleSets": {
"defaultAction": "Deny",
"applyToBuiltInEventHubEndpoint": true,
"ipRules": [
{
"filterName": "rule1",
"action": "Allow",
"ipMask": "131.117.159.53"
},
{
"filterName": "rule2",
"action": "Allow",
"ipMask": "157.55.59.128/25"
}
]
},
"hostName": "iot-dps-cit-hub-1.azure-devices.net",
"deviceHostName": "iot-dps-cit-hub-1.device.azure-devices.net",
"serviceHostName": "iot-dps-cit-hub-1.service.azure-devices.net",
"eventHubEndpoints": {
"events": {
"retentionTimeInDays": 1,
"partitionCount": 2,
"partitionIds": [
"0",
"1"
],
"path": "iot-dps-cit-hub-1",
"endpoint": "sb://iothub-ns-iot-dps-ci-245306-76aca8e13b.servicebus.windows.net/"
}
},
"routing": {
"endpoints": {
"serviceBusQueues": [],
"serviceBusTopics": [],
"eventHubs": [],
"storageContainers": []
},
"routes": [
{
"name": "Routeid",
"source": "DeviceMessages",
"condition": "true",
"endpointNames": [
"events"
],
"isEnabled": true
}
],
"fallbackRoute": {
"name": "$fallback",
"source": "DeviceMessages",
"condition": "true",
"endpointNames": [
"events"
],
"isEnabled": true
}
},
"storageEndpoints": {
"$default": {
"sasTtlAsIso8601": "PT1H",
"connectionString": "",
"containerName": ""
}
},
"messagingEndpoints": {
"fileNotifications": {
"lockDurationAsIso8601": "PT1M",
"ttlAsIso8601": "PT1H",
"maxDeliveryCount": 10
}
},
"enableFileUploadNotifications": false,
"cloudToDevice": {
"maxDeliveryCount": 10,
"defaultTtlAsIso8601": "PT1H",
"feedback": {
"lockDurationAsIso8601": "PT1M",
"ttlAsIso8601": "PT1H",
"maxDeliveryCount": 10
}
},
"features": "None",
"minTlsVersion": "1.2",
"enableDataResidency": true,
"iotHubDetails": {
"gatewayVersion": "V2"
}
},
"sku": {
"name": "S1",
"tier": "Standard",
"capacity": 1
},
"systemData": {
"createdAt": "2021-01-30T00:28:38.963Z"
}
}
{
"id": "/subscriptions/ae24ff83-d2ca-4fc8-9717-05dae4bba489/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub",
"name": "testHub",
"type": "Microsoft.Devices/IotHubs",
"location": "centraluseuap",
"tags": {},
"etag": "AAAAAAFD6M4=",
"properties": {
"state": "Active",
"provisioningState": "Succeeded",
"ipFilterRules": [
{
"filterName": "rule1",
"action": "Accept",
"ipMask": "131.117.159.53"
},
{
"filterName": "rule2",
"action": "Accept",
"ipMask": "157.55.59.128/25"
}
],
"networkRuleSets": {
"defaultAction": "Deny",
"applyToBuiltInEventHubEndpoint": true,
"ipRules": [
{
"filterName": "rule1",
"action": "Allow",
"ipMask": "131.117.159.53"
},
{
"filterName": "rule2",
"action": "Allow",
"ipMask": "157.55.59.128/25"
}
]
},
"hostName": "iot-dps-cit-hub-1.azure-devices.net",
"deviceHostName": "iot-dps-cit-hub-1.device.azure-devices.net",
"serviceHostName": "iot-dps-cit-hub-1.service.azure-devices.net",
"eventHubEndpoints": {
"events": {
"retentionTimeInDays": 1,
"partitionCount": 2,
"partitionIds": [
"0",
"1"
],
"path": "iot-dps-cit-hub-1",
"endpoint": "sb://iothub-ns-iot-dps-ci-245306-76aca8e13b.servicebus.windows.net/"
}
},
"routing": {
"endpoints": {
"serviceBusQueues": [],
"serviceBusTopics": [],
"eventHubs": [],
"storageContainers": []
},
"routes": [
{
"name": "Routeid",
"source": "DeviceMessages",
"condition": "true",
"endpointNames": [
"events"
],
"isEnabled": true
}
],
"fallbackRoute": {
"name": "$fallback",
"source": "DeviceMessages",
"condition": "true",
"endpointNames": [
"events"
],
"isEnabled": true
}
},
"storageEndpoints": {
"$default": {
"sasTtlAsIso8601": "PT1H",
"connectionString": "",
"containerName": ""
}
},
"messagingEndpoints": {
"fileNotifications": {
"lockDurationAsIso8601": "PT1M",
"ttlAsIso8601": "PT1H",
"maxDeliveryCount": 10
}
},
"enableFileUploadNotifications": false,
"cloudToDevice": {
"maxDeliveryCount": 10,
"defaultTtlAsIso8601": "PT1H",
"feedback": {
"lockDurationAsIso8601": "PT1M",
"ttlAsIso8601": "PT1H",
"maxDeliveryCount": 10
}
},
"features": "None",
"minTlsVersion": "1.2",
"enableDataResidency": true,
"iotHubDetails": {
"gatewayVersion": "V2"
}
},
"sku": {
"name": "S1",
"tier": "Standard",
"capacity": 1
},
"systemData": {
"createdAt": "2021-01-30T00:28:38.963Z"
}
}
IotHubResource_CreateOrUpdate
要求のサンプル
PUT https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub?api-version=2026-11-01
{
"etag": "AAAAAAFD6M4=",
"location": "centraluseuap",
"identity": {
"type": "SystemAssigned"
},
"properties": {
"cloudToDevice": {
"defaultTtlAsIso8601": "PT1H",
"feedback": {
"lockDurationAsIso8601": "PT1M",
"maxDeliveryCount": 10,
"ttlAsIso8601": "PT1H"
},
"maxDeliveryCount": 10
},
"enableDataResidency": true,
"enableFileUploadNotifications": false,
"eventHubEndpoints": {
"events": {
"partitionCount": 2,
"retentionTimeInDays": 1
}
},
"features": "None",
"ipFilterRules": [],
"messagingEndpoints": {
"fileNotifications": {
"lockDurationAsIso8601": "PT1M",
"maxDeliveryCount": 10,
"ttlAsIso8601": "PT1H"
}
},
"minTlsVersion": "1.2",
"networkRuleSets": {
"applyToBuiltInEventHubEndpoint": true,
"defaultAction": "Deny",
"ipRules": [
{
"action": "Allow",
"filterName": "rule1",
"ipMask": "131.117.159.53"
},
{
"action": "Allow",
"filterName": "rule2",
"ipMask": "157.55.59.128/25"
}
]
},
"routing": {
"endpoints": {
"eventHubs": [],
"serviceBusQueues": [],
"serviceBusTopics": [],
"storageContainers": [],
"eventStreams": [
{
"name": "eventstreamendpoint1",
"endpointUri": "sb://eventstreamcustomsourceehns.azure.servicebus.net",
"entityPath": "eventstreamcustomsourceeh",
"authenticationType": "identityBased",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"eventStreamId": "22222222-2222-2222-2222-222222222222",
"sourceId": "33333333-3333-3333-3333-333333333333"
}
]
},
"fallbackRoute": {
"name": "$fallback",
"condition": "true",
"endpointNames": [
"events"
],
"isEnabled": true,
"source": "DeviceMessages"
},
"routes": []
},
"storageEndpoints": {
"$default": {
"connectionString": "",
"containerName": "",
"sasTtlAsIso8601": "PT1H"
}
}
},
"sku": {
"name": "S1",
"capacity": 1
},
"tags": {}
}
応答のサンプル
{
"name": "testHub",
"type": "Microsoft.Devices/IotHubs",
"etag": "AAAAAAFD6M4=",
"id": "/subscriptions/ae24ff83-d2ca-4fc8-9717-05dae4bba489/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub",
"location": "centraluseuap",
"identity": {
"tenantId": "11111111-2222-3333-4444-555555555555",
"type": "SystemAssigned",
"principalId": "66666666-7777-8888-9999-aaaaaaaaaaaa"
},
"properties": {
"cloudToDevice": {
"defaultTtlAsIso8601": "PT1H",
"feedback": {
"lockDurationAsIso8601": "PT1M",
"maxDeliveryCount": 10,
"ttlAsIso8601": "PT1H"
},
"maxDeliveryCount": 10
},
"enableDataResidency": true,
"enableFileUploadNotifications": false,
"eventHubEndpoints": {
"events": {
"path": "iot-dps-cit-hub-1",
"endpoint": "sb://iothub-ns-iot-dps-ci-245306-76aca8e13b.servicebus.windows.net/",
"partitionCount": 2,
"partitionIds": [
"0",
"1"
],
"retentionTimeInDays": 1
}
},
"features": "None",
"hostName": "iot-dps-cit-hub-1.azure-devices.net",
"ipFilterRules": [
{
"action": "Accept",
"filterName": "rule1",
"ipMask": "131.117.159.53"
},
{
"action": "Accept",
"filterName": "rule2",
"ipMask": "157.55.59.128/25"
}
],
"messagingEndpoints": {
"fileNotifications": {
"lockDurationAsIso8601": "PT1M",
"maxDeliveryCount": 10,
"ttlAsIso8601": "PT1H"
}
},
"minTlsVersion": "1.2",
"networkRuleSets": {
"applyToBuiltInEventHubEndpoint": true,
"defaultAction": "Deny",
"ipRules": [
{
"action": "Allow",
"filterName": "rule1",
"ipMask": "131.117.159.53"
},
{
"action": "Allow",
"filterName": "rule2",
"ipMask": "157.55.59.128/25"
}
]
},
"provisioningState": "Succeeded",
"routing": {
"endpoints": {
"eventHubs": [],
"serviceBusQueues": [],
"serviceBusTopics": [],
"storageContainers": [],
"eventStreams": [
{
"name": "eventstreamendpoint1",
"id": "00000000-1111-2222-3333-0123456789ab",
"endpointUri": "sb://eventstreamcustomsourceehns.azure.servicebus.net",
"entityPath": "eventstreamcustomsourceeh",
"authenticationType": "identityBased",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"eventStreamId": "22222222-2222-2222-2222-222222222222",
"sourceId": "33333333-3333-3333-3333-333333333333"
}
]
},
"fallbackRoute": {
"name": "$fallback",
"condition": "true",
"endpointNames": [
"events"
],
"isEnabled": true,
"source": "DeviceMessages"
},
"routes": []
},
"state": "Active",
"storageEndpoints": {
"$default": {
"connectionString": "",
"containerName": "",
"sasTtlAsIso8601": "PT1H"
}
}
},
"sku": {
"name": "S1",
"capacity": 1,
"tier": "Standard"
},
"systemData": {
"createdAt": "2021-01-30T00:28:38.963Z"
},
"tags": {}
}
{
"name": "testHub",
"type": "Microsoft.Devices/IotHubs",
"etag": "AAAAAAFD6M4=",
"id": "/subscriptions/ae24ff83-d2ca-4fc8-9717-05dae4bba489/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub",
"location": "centraluseuap",
"identity": {
"tenantId": "11111111-2222-3333-4444-555555555555",
"type": "SystemAssigned",
"principalId": "66666666-7777-8888-9999-aaaaaaaaaaaa"
},
"properties": {
"cloudToDevice": {
"defaultTtlAsIso8601": "PT1H",
"feedback": {
"lockDurationAsIso8601": "PT1M",
"maxDeliveryCount": 10,
"ttlAsIso8601": "PT1H"
},
"maxDeliveryCount": 10
},
"enableDataResidency": true,
"enableFileUploadNotifications": false,
"eventHubEndpoints": {
"events": {
"path": "iot-dps-cit-hub-1",
"endpoint": "sb://iothub-ns-iot-dps-ci-245306-76aca8e13b.servicebus.windows.net/",
"partitionCount": 2,
"partitionIds": [
"0",
"1"
],
"retentionTimeInDays": 1
}
},
"features": "None",
"hostName": "iot-dps-cit-hub-1.azure-devices.net",
"ipFilterRules": [
{
"action": "Accept",
"filterName": "rule1",
"ipMask": "131.117.159.53"
},
{
"action": "Accept",
"filterName": "rule2",
"ipMask": "157.55.59.128/25"
}
],
"messagingEndpoints": {
"fileNotifications": {
"lockDurationAsIso8601": "PT1M",
"maxDeliveryCount": 10,
"ttlAsIso8601": "PT1H"
}
},
"minTlsVersion": "1.2",
"networkRuleSets": {
"applyToBuiltInEventHubEndpoint": true,
"defaultAction": "Deny",
"ipRules": [
{
"action": "Allow",
"filterName": "rule1",
"ipMask": "131.117.159.53"
},
{
"action": "Allow",
"filterName": "rule2",
"ipMask": "157.55.59.128/25"
}
]
},
"provisioningState": "Succeeded",
"routing": {
"endpoints": {
"eventHubs": [],
"serviceBusQueues": [],
"serviceBusTopics": [],
"storageContainers": [],
"eventStreams": [
{
"name": "eventstreamendpoint1",
"id": "00000000-1111-2222-3333-0123456789ab",
"endpointUri": "sb://eventstreamcustomsourceehns.azure.servicebus.net",
"entityPath": "eventstreamcustomsourceeh",
"authenticationType": "identityBased",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"eventStreamId": "22222222-2222-2222-2222-222222222222",
"sourceId": "33333333-3333-3333-3333-333333333333"
}
]
},
"fallbackRoute": {
"name": "$fallback",
"condition": "true",
"endpointNames": [
"events"
],
"isEnabled": true,
"source": "DeviceMessages"
},
"routes": []
},
"state": "Active",
"storageEndpoints": {
"$default": {
"connectionString": "",
"containerName": "",
"sasTtlAsIso8601": "PT1H"
}
}
},
"sku": {
"name": "S1",
"capacity": 1,
"tier": "Standard"
},
"systemData": {
"createdAt": "2021-01-30T00:28:38.963Z"
},
"tags": {}
}
定義
| Name | 説明 |
|---|---|
|
Access |
共有アクセス ポリシーに割り当てられたアクセス許可。 |
|
Arm |
|
|
Arm |
|
|
Authentication |
ストレージ アカウントへの接続に使用する認証の種類を指定します。 |
| Capabilities |
IoT ハブで有効になっている機能。 |
|
Cloud |
IoT Hub のクラウドからデバイスへのメッセージング プロパティ。 |
|
created |
リソースを作成した ID の種類。 |
|
Default |
ネットワーク ルール セットの既定のアクション |
|
Device |
Azure Device Registry (ADR) に関連するプロパティを表します。 |
|
Device |
データ プレーンから ADR 名前空間を管理するために使用される ID。 |
|
Device |
ID の型。 |
|
Device |
IoT HubとAzureデバイスレジストリを連携させるプロパティ。 |
|
Device |
IoT HubがAzureデバイスレジストリと連携しているかどうかを示します。 |
|
Enrichment |
IoT ハブがエンドポイントに配信されるメッセージに適用するエンリッチメントのプロパティ。 |
|
Error |
エラーの詳細。 |
|
Event |
IoT ハブで使用されるプロビジョニングされたイベント ハブ互換エンドポイントのプロパティ。 |
|
Event |
イベントストリームアカウントに接続する際に使用する認証タイプを指定します。 |
|
Fallback |
フォールバック ルートのプロパティ。 IoT Hub は、メッセージをフォールバック エンドポイントにルーティングするときに、これらのプロパティを使用します。 |
|
Fallback |
フォールバックルートが適用されるソース。 |
|
Feedback |
クラウドからデバイスへのメッセージのフィードバック キューのプロパティ。 |
|
Gateway |
IoTハブゲートウェイバージョン。 |
|
Iot |
IoT ハブの説明。 |
|
Iot |
IoTハブ用の追加の読み取り専用プロパティのセット。 |
|
Iot |
リソースがプロビジョニングされている場所の 1 つのパブリック表現。 |
|
Iot |
IoT ハブのプロパティ。 |
|
Iot |
リージョンの役割は、プライマリまたはセカンダリのいずれかです。 プライマリ リージョンは、IoT ハブが現在プロビジョニングされている場所です。 セカンダリ リージョンは、Azure ディザスター リカバリー (DR) ペアのリージョンであり、IoT ハブがフェールオーバーできるリージョンでもあります。 |
|
Iot |
SKU の名前。 |
|
Iot |
IoT ハブの SKU に関する情報。 |
|
Iot |
IoT ハブの課金レベル。 |
|
Ip |
このルールによってキャプチャされた要求に対して必要なアクション。 |
|
Ip |
IoT ハブの IP フィルター規則。 |
|
Managed |
マネージド ID のプロパティ。 |
|
Messaging |
この IoT ハブで使用されるメッセージング エンドポイントのプロパティ。 |
|
Network |
IP フィルター アクション |
|
Network |
ネットワークルールセットの一部として適用されるIPルール |
|
Network |
IotHub のネットワーク ルール セットプロパティ |
|
Private |
プライベート エンドポイント接続のプライベート エンドポイント プロパティ |
|
Private |
IotHub のプライベート エンドポイント接続 |
|
Private |
プライベート エンドポイント接続のプロパティ |
|
Private |
プライベート エンドポイント接続の現在の状態 |
|
Private |
プライベート エンドポイント接続の状態 |
|
Public |
パブリック ネットワークからの要求が許可されるかどうか |
|
Resource |
リソースに使用される ID の種類。 型 'SystemAssigned,UserAssigned' には、暗黙的に作成された ID とユーザー割り当て ID のセットの両方が含まれます。 型 'None' は、サービスからすべての ID を削除します。 |
|
Route |
IoT ハブがエンドポイントにメッセージをルーティングするために使用するルーティング規則のプロパティ。 |
|
Routing |
Cosmos DB SQL コンテナー エンドポイントに関連するプロパティ。 |
|
Routing |
IoT ハブがルーティング規則に基づいてメッセージをルーティングするカスタム エンドポイントに関連するプロパティ。 有料ハブのすべての種類のすべてのエンドポイントで最大 10 個のカスタム エンドポイントが許可され、無料ハブのすべてのエンドポイントの種類で許可されるカスタム エンドポイントは 1 つだけです。 |
|
Routing |
イベント ハブ エンドポイントに関連するプロパティ。 |
|
Routing |
これらのプロパティはイベントストリームのエンドポイントに関連しています。 |
|
Routing |
IoT ハブのルーティング関連のプロパティ。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging を参照 |
|
Routing |
Service Bus キュー エンドポイントの種類に関連するプロパティ。 |
|
Routing |
Service Bus トピック エンドポイントの種類に関連するプロパティ。 |
|
Routing |
ルーティング規則を適用するソース (DeviceMessages など)。 |
|
Routing |
ストレージコンテナエンドポイントに関連するプロパティ。 |
|
Routing |
メッセージを BLOB にシリアル化するために使用されるエンコード。 サポートされる値は、'avro'、'avrodeflate'、および 'JSON' です。 既定値は 'avro' です。 |
|
Shared |
IoT ハブの共有アクセス ポリシーのプロパティ。 |
|
Storage |
ファイル アップロード用の Azure Storage エンドポイントのプロパティ。 |
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
AccessRights
共有アクセス ポリシーに割り当てられたアクセス許可。
| 値 | 説明 |
|---|---|
| RegistryRead |
レジストリリード |
| RegistryWrite |
レジストリライト |
| ServiceConnect |
ServiceConnect |
| DeviceConnect |
DeviceConnect |
| RegistryRead, RegistryWrite |
RegistryRead、RegistryWrite |
| RegistryRead, ServiceConnect |
RegistryRead, ServiceConnect |
| RegistryRead, DeviceConnect |
RegistryRead、DeviceConnect |
| RegistryWrite, ServiceConnect |
RegistryWrite, ServiceConnect |
| RegistryWrite, DeviceConnect |
RegistryWrite, DeviceConnect |
| ServiceConnect, DeviceConnect |
ServiceConnect、DeviceConnect |
| RegistryRead, RegistryWrite, ServiceConnect |
RegistryRead, RegistryWrite, ServiceConnect |
| RegistryRead, RegistryWrite, DeviceConnect |
RegistryRead、RegistryWrite、DeviceConnect |
| RegistryRead, ServiceConnect, DeviceConnect |
RegistryRead、ServiceConnect、DeviceConnect |
| RegistryWrite, ServiceConnect, DeviceConnect |
RegistryWrite, ServiceConnect, DeviceConnect |
| RegistryRead, RegistryWrite, ServiceConnect, DeviceConnect |
レジストリリード、レジストリライト、サービスコネクト、デバイスコネクト |
ArmIdentity
| Name | 型 | 説明 |
|---|---|---|
| principalId |
string |
プリンシパル ID |
| tenantId |
string |
テナント ID |
| type |
リソースに使用される ID の種類。 型 'SystemAssigned,UserAssigned' には、暗黙的に作成された ID とユーザー割り当て ID のセットの両方が含まれます。 型 'None' は、サービスからすべての ID を削除します。 |
|
| userAssignedIdentities |
<string,
Arm |
<ArmUserIdentity> の辞書 |
ArmUserIdentity
| Name | 型 | 説明 |
|---|---|---|
| clientId |
string |
|
| principalId |
string |
AuthenticationType
ストレージ アカウントへの接続に使用する認証の種類を指定します。
| 値 | 説明 |
|---|---|
| keyBased |
キーベース |
| identityBased |
アイデンティティベースズ |
Capabilities
IoT ハブで有効になっている機能。
| 値 | 説明 |
|---|---|
| None |
None |
| DeviceManagement |
DeviceManagement |
CloudToDeviceProperties
IoT Hub のクラウドからデバイスへのメッセージング プロパティ。
| Name | 型 | 説明 |
|---|---|---|
| defaultTtlAsIso8601 |
string (duration) |
デバイス キュー内のクラウドからデバイスへのメッセージの既定の有効期間。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#cloud-to-device-messagesを参照してください。 |
| feedback |
クラウドからデバイスへのメッセージのフィードバック キューのプロパティ。 |
|
| maxDeliveryCount |
integer (int32) minimum: 1maximum: 100 |
デバイス キュー内のクラウドからデバイスへのメッセージの最大配信数。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#cloud-to-device-messagesを参照してください。 |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DefaultAction
ネットワーク ルール セットの既定のアクション
| 値 | 説明 |
|---|---|
| Deny |
Deny |
| Allow |
許可する |
DeviceRegistry
Azure Device Registry (ADR) に関連するプロパティを表します。
| Name | 型 | 説明 |
|---|---|---|
| dataPlaneHostName |
string |
関連するAzureデバイスレジストリのデータプレーンエンドポイントのホスト名です。 |
| identity |
データ プレーンから ADR 名前空間を管理するために使用される ID。 |
|
| linkingProperties |
IoT HubとAzureデバイスレジストリを連携させるプロパティ。 |
|
| namespaceResourceId |
string (arm-id) |
Azureデバイスレジストリ名前空間の識別子 |
| namespaceUuid |
string |
関連するAzureデバイスレジストリ名前空間のUUID。 |
DeviceRegistryIdentity
データ プレーンから ADR 名前空間を管理するために使用される ID。
| Name | 型 | 説明 |
|---|---|---|
| type |
ID の型。 |
|
| userAssignedIdentity |
string (arm-id) |
「UserAssigned」という識別タイプの場合、ユーザー割り当てのアイデンティティです。 |
DeviceRegistryIdentityType
ID の型。
| 値 | 説明 |
|---|---|
| SystemAssigned |
ADR名前空間を管理するにはシステム割り当てのマネージドアイデンティティを使用します。 |
| UserAssigned |
ADR名前空間を管理するには、ユーザー割り当ての管理IDを使用します。 |
DeviceRegistryLinkingProperties
IoT HubとAzureデバイスレジストリを連携させるプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| error |
最後のエラーは、IoT HubとAzureデバイスレジストリをリンクした際に発生しました。 |
|
| state |
IoT HubがAzureデバイスレジストリと連携しているかどうかを示します。 |
DeviceRegistryLinkingState
IoT HubがAzureデバイスレジストリと連携しているかどうかを示します。
| 値 | 説明 |
|---|---|
| InProgress |
IoT HubがAzureデバイスレジストリと連携する作業が進行中です。 |
| Success |
IoT HubはAzureデバイスレジストリと正常に連携しています。 |
| Orphaned |
リンクされたAzureデバイスレジストリはもはやIoT Hubとは関連していません。 |
| Failed |
IoT HubがAzureデバイスレジストリと連携できなかった。 |
EnrichmentProperties
IoT ハブがエンドポイントに配信されるメッセージに適用するエンリッチメントのプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| endpointNames |
string[] |
エンリッチメントがメッセージに適用されるエンドポイントの一覧。 |
| key |
string |
エンリッチメント プロパティのキーまたは名前。 |
| value |
string |
エンリッチメント プロパティの値。 |
ErrorDetails
エラーの詳細。
| Name | 型 | 説明 |
|---|---|---|
| code |
string |
エラー コード。 |
| details |
string |
エラーの詳細。 |
| httpStatusCode |
string |
HTTP 状態コード。 |
| message |
string |
エラー メッセージ。 |
EventHubProperties
IoT ハブで使用されるプロビジョニングされたイベント ハブ互換エンドポイントのプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| endpoint |
string |
イベント ハブ互換のエンドポイント。 |
| partitionCount |
integer (int32) |
Event Hub と互換性のあるエンドポイントでデバイスからクラウドへのメッセージを受信するためのパーティションの数。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#device-to-cloud-messagesを参照してください。 |
| partitionIds |
string[] |
Event Hub 互換エンドポイントのパーティション ID。 |
| path |
string |
イベント ハブ互換の名前。 |
| retentionTimeInDays |
integer (int64) |
デバイスからクラウドへのメッセージのリテンション期間 (日数)。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#device-to-cloud-messages を参照 |
EventStreamAuthenticationType
イベントストリームアカウントに接続する際に使用する認証タイプを指定します。
| 値 | 説明 |
|---|---|
| identityBased |
アイデンティティベース認証 |
FallbackRouteProperties
フォールバック ルートのプロパティ。 IoT Hub は、メッセージをフォールバック エンドポイントにルーティングするときに、これらのプロパティを使用します。
| Name | 型 | 説明 |
|---|---|---|
| condition |
string |
フォールバック ルートを適用するために評価される条件。 条件が指定されていない場合、既定では true と評価されます。 文法については、以下を参照してください。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-query-language |
| endpointNames |
string[] |
条件を満たすメッセージのルーティング先となるエンドポイントの一覧。 現在、許可されているエンドポイントは 1 つだけです。 |
| isEnabled |
boolean |
フォールバック ルートを有効にするかどうかを指定するために使用します。 |
| name |
string |
ルートの名前。 名前には、英数字、ピリオド、アンダースコア、ハイフンのみを含めることができます。最大長は 64 文字で、一意である必要があります。 |
| source |
ルーティング規則の適用先となるソース。 たとえば、DeviceMessages |
FallbackRouteSource
フォールバックルートが適用されるソース。
| 値 | 説明 |
|---|---|
| DeviceMessages |
デバイスからクラウドへのメッセージがデバイスから送信される。 |
FeedbackProperties
クラウドからデバイスへのメッセージのフィードバック キューのプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| lockDurationAsIso8601 |
string (duration) |
フィードバック キューのロック期間。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#cloud-to-device-messagesを参照してください。 |
| maxDeliveryCount |
integer (int32) minimum: 1maximum: 100 |
IoT ハブがフィードバック キューにメッセージを配信しようとした回数。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#cloud-to-device-messagesを参照してください。 |
| ttlAsIso8601 |
string (duration) |
メッセージが IoT ハブによって期限切れになるまでにメッセージを使用できる期間。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging#cloud-to-device-messagesを参照してください。 |
GatewayVersion
IoTハブゲートウェイバージョン。
| 値 | 説明 |
|---|---|
| V1 |
V1 |
| V2 |
V2 |
IotHubDescription
IoT ハブの説明。
| Name | 型 | 説明 |
|---|---|---|
| etag |
string |
Etag フィールドは 必要ありません。 応答本文で指定する場合は、通常の ETag 規則に従ってヘッダーとしても指定する必要があります。 |
| id |
string (arm-id) |
リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| identity |
IotHub のマネージド ID。 |
|
| location |
string |
リソースが存在する地理的な場所 |
| name |
string |
リソースの名前 |
| properties |
IotHub プロパティ |
|
| sku |
IotHub SKU 情報 |
|
| systemData |
createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。 |
|
| tags |
object |
リソース タグ。 |
| type |
string |
リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
IotHubDetails
IoTハブ用の追加の読み取り専用プロパティのセット。
| Name | 型 | 説明 |
|---|---|---|
| gatewayVersion |
IoTハブゲートウェイバージョン。 |
IotHubLocationDescription
リソースがプロビジョニングされている場所の 1 つのパブリック表現。
| Name | 型 | 説明 |
|---|---|---|
| location |
string |
Azure リージョンの名前 |
| role |
リージョンの役割は、プライマリまたはセカンダリのいずれかです。 プライマリ リージョンは、IoT ハブが現在プロビジョニングされている場所です。 セカンダリ リージョンは、Azure ディザスター リカバリー (DR) ペアのリージョンであり、IoT ハブがフェールオーバーできるリージョンでもあります。 |
IotHubProperties
IoT ハブのプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| allowedFqdnList |
string[] |
IoT Hub からのエグレスで許可される FQDN (完全修飾ドメイン名) の一覧。 |
| authorizationPolicies |
IoT ハブへの接続をセキュリティで保護するために使用できる共有アクセス ポリシー。 |
|
| cloudToDevice |
IoT Hub のクラウドからデバイスへのメッセージング プロパティ。 |
|
| comments |
string |
IoT Hub のコメント。 |
| deviceHostName |
string |
デバイスホストの名前。 TLS 1.3上の安全な接続をサポートしています。 |
| deviceRegistry |
Azure Device Registry (ADR) に関連するプロパティを表します。 |
|
| disableDeviceSAS |
boolean |
true の場合、すべてのデバイス (Edge デバイスを含むがモジュールを除く) スコープ SAS キーは認証に使用できません。 |
| disableLocalAuth |
boolean |
true の場合、IoT ハブ スコープの SAS キーを持つ SAS トークンは認証に使用できません。 |
| disableModuleSAS |
boolean |
true の場合、すべてのモジュール スコープ SAS キーを認証に使用できません。 |
| enableDataResidency |
boolean |
このプロパティを true に設定すると、データ所在地が有効になり、ディザスター リカバリーが無効になります。 |
| enableFileUploadNotifications |
boolean |
True の場合、ファイルのアップロード通知が有効になります。 |
| eventHubEndpoints |
<string,
Event |
Event Hub と互換性のあるエンドポイントのプロパティ。 このディクショナリに使用できる唯一のキーはイベントです。 このキーは、IoT ハブの作成または更新呼び出しを行う際にディクショナリに存在する必要があります。 |
| features |
IoT ハブで有効になっている機能。 |
|
| hostName |
string |
ホストの名前。 |
| iotHubDetails |
IoTハブ用の追加の読み取り専用プロパティのセット。 |
|
| ipFilterRules |
IP フィルター規則。 |
|
| locations |
IoT ハブのプライマリとセカンダリの場所 |
|
| messagingEndpoints |
<string,
Messaging |
ファイル アップロード通知キューのメッセージング エンドポイントプロパティ。 |
| minTlsVersion |
string |
このハブをサポートする TLS の最小バージョンを指定します。 1.2 より前の TLS バージョンを使用するクライアントを拒否するには、"1.2" に設定できます。 |
| networkRuleSets |
IotHub のネットワーク ルール セットプロパティ |
|
| privateEndpointConnections |
この IotHub で作成されたプライベート エンドポイント接続 |
|
| provisioningState |
string |
プロビジョニングの状態。 |
| publicNetworkAccess |
パブリック ネットワークからの要求が許可されるかどうか |
|
| restrictOutboundNetworkAccess |
boolean |
true の場合、IotHub からのエグレスは、allowedFqdnList 経由で構成されている許可された FQDN のみに制限されます。 |
| routing |
IoT ハブのルーティング関連のプロパティ。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging を参照 |
|
| serviceHostName |
string |
サービスホストの名前。 TLS 1.3上の安全な接続をサポートしています。 |
| state |
string |
ハブ状態。 |
| storageEndpoints |
<string,
Storage |
ファイルをアップロードできる Azure Storage エンドポイントの一覧。 現在、構成できる Azure Storage アカウントは 1 つだけであり、そのキーを$defaultにする必要があります。 複数のストレージ アカウントを指定すると、エラーがスローされます。 enableFileUploadNotifications プロパティが True に設定されている場合、このプロパティの値を指定しないと、エラーがスローされます。 |
IotHubReplicaRoleType
リージョンの役割は、プライマリまたはセカンダリのいずれかです。 プライマリ リージョンは、IoT ハブが現在プロビジョニングされている場所です。 セカンダリ リージョンは、Azure ディザスター リカバリー (DR) ペアのリージョンであり、IoT ハブがフェールオーバーできるリージョンでもあります。
| 値 | 説明 |
|---|---|
| primary |
主要な |
| secondary |
secondary |
IotHubSku
SKU の名前。
| 値 | 説明 |
|---|---|
| F1 |
F1 |
| S1 |
S1 |
| S2 |
S2 |
| S3 |
S3 |
| B1 |
B1 |
| B2 |
B2 |
| B3 |
B3 |
IotHubSkuInfo
IoT ハブの SKU に関する情報。
| Name | 型 | 説明 |
|---|---|---|
| capacity |
integer (int64) |
プロビジョニングされた IoT Hub ユニットの数。 https://docs.microsoft.com/azure/azure-subscription-service-limits#iot-hub-limitsを参照してください。 |
| name |
SKU の名前。 |
|
| tier |
IoT ハブの課金レベル。 |
IotHubSkuTier
IoT ハブの課金レベル。
| 値 | 説明 |
|---|---|
| Free |
Free |
| Standard |
Standard |
| Basic |
Basic |
IpFilterActionType
このルールによってキャプチャされた要求に対して必要なアクション。
| 値 | 説明 |
|---|---|
| Accept |
同意する |
| Reject |
リジェクト |
IpFilterRule
IoT ハブの IP フィルター規則。
| Name | 型 | 説明 |
|---|---|---|
| action |
このルールによってキャプチャされた要求に対して必要なアクション。 |
|
| filterName |
string |
IP フィルター規則の名前。 |
| ipMask |
string |
規則の IP アドレス範囲を CIDR 表記で含む文字列。 |
ManagedIdentity
マネージド ID のプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| userAssignedIdentity |
string |
ユーザー割り当て ID。 |
MessagingEndpointProperties
この IoT ハブで使用されるメッセージング エンドポイントのプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| lockDurationAsIso8601 |
string (duration) |
ロック期間。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-uploadを参照してください。 |
| maxDeliveryCount |
integer (int32) minimum: 1maximum: 100 |
IoT ハブがメッセージの配信を試みる回数。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-uploadを参照してください。 |
| ttlAsIso8601 |
string (duration) |
メッセージが IoT ハブによって期限切れになるまでにメッセージを使用できる期間。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-uploadを参照してください。 |
NetworkRuleIPAction
IP フィルター アクション
| 値 | 説明 |
|---|---|
| Allow |
許可する |
NetworkRuleSetIpRule
ネットワークルールセットの一部として適用されるIPルール
| Name | 型 | 規定値 | 説明 |
|---|---|---|---|
| action | Allow |
IP フィルター アクション |
|
| filterName |
string |
IP フィルター規則の名前。 |
|
| ipMask |
string |
規則の IP アドレス範囲を CIDR 表記で含む文字列。 |
NetworkRuleSetProperties
IotHub のネットワーク ルール セットプロパティ
| Name | 型 | 規定値 | 説明 |
|---|---|---|---|
| applyToBuiltInEventHubEndpoint |
boolean |
True の場合、ネットワーク ルール セットは IotHub の BuiltIn EventHub EndPoint にも適用されます |
|
| defaultAction | Deny |
ネットワーク ルール セットの既定のアクション |
|
| ipRules |
IP 規則の一覧 |
PrivateEndpoint
プライベート エンドポイント接続のプライベート エンドポイント プロパティ
| Name | 型 | 説明 |
|---|---|---|
| id |
string |
リソース識別子。 |
PrivateEndpointConnection
IotHub のプライベート エンドポイント接続
| Name | 型 | 説明 |
|---|---|---|
| id |
string (arm-id) |
リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
リソースの名前 |
| properties |
プライベート エンドポイント接続のプロパティ |
|
| systemData |
createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。 |
|
| type |
string |
リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
PrivateEndpointConnectionProperties
プライベート エンドポイント接続のプロパティ
| Name | 型 | 説明 |
|---|---|---|
| privateEndpoint |
プライベート エンドポイント接続のプライベート エンドポイント プロパティ |
|
| privateLinkServiceConnectionState |
プライベート エンドポイント接続の現在の状態 |
PrivateLinkServiceConnectionState
プライベート エンドポイント接続の現在の状態
| Name | 型 | 説明 |
|---|---|---|
| actionsRequired |
string |
プライベート エンドポイント接続に必要なアクション |
| description |
string |
プライベート エンドポイント接続の現在の状態の説明 |
| status |
プライベート エンドポイント接続の状態 |
PrivateLinkServiceConnectionStatus
プライベート エンドポイント接続の状態
| 値 | 説明 |
|---|---|
| Pending |
保留中 |
| Approved |
承認済み |
| Rejected |
拒否 |
| Disconnected |
Disconnected |
PublicNetworkAccess
パブリック ネットワークからの要求が許可されるかどうか
| 値 | 説明 |
|---|---|
| Enabled |
Enabled |
| Disabled |
Disabled |
ResourceIdentityType
リソースに使用される ID の種類。 型 'SystemAssigned,UserAssigned' には、暗黙的に作成された ID とユーザー割り当て ID のセットの両方が含まれます。 型 'None' は、サービスからすべての ID を削除します。
| 値 | 説明 |
|---|---|
| SystemAssigned |
SystemAssigned |
| UserAssigned |
UserAssigned |
| SystemAssigned, UserAssigned |
システム割り当て済み、ユーザー割り当て済み |
| None |
None |
RouteProperties
IoT ハブがエンドポイントにメッセージをルーティングするために使用するルーティング規則のプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| condition |
string |
ルーティング規則を適用するために評価される条件。 条件が指定されていない場合は、既定で true に評価されます。 文法については、以下を参照してください。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-query-language |
| endpointNames |
string[] |
条件を満たすメッセージがルーティングされるエンドポイントの一覧。 現在、許可されているエンドポイントは 1 つだけです。 |
| isEnabled |
boolean |
ルートを有効にするかどうかを指定するために使用します。 |
| name |
string pattern: ^[A-Za-z0-9-._]{1,64}$ |
ルートの名前。 名前には、英数字、ピリオド、アンダースコア、ハイフンのみを含めることができます。最大長は 64 文字で、一意である必要があります。 |
| source |
ルーティング規則を適用するソース (DeviceMessages など)。 |
RoutingCosmosDBSqlApiProperties
Cosmos DB SQL コンテナー エンドポイントに関連するプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| authenticationType |
Cosmos DB SQL コンテナー エンドポイントに対する認証に使用されるメソッド |
|
| containerName |
string |
Cosmos DB データベース内の Cosmos DB SQL コンテナーの名前。 |
| databaseName |
string |
Cosmos DB アカウント内の Cosmos DB データベースの名前。 |
| endpointUri |
string (uri) |
Cosmos DB アカウントの URL。 プロトコル https:// を含める必要があります |
| id |
string |
Cosmos DB SQL コンテナー エンドポイントの ID |
| identity |
Cosmos DB コンテナー エンドポイントのルーティングのマネージド ID プロパティ。 |
|
| name |
string pattern: ^[A-Za-z0-9-._]{1,64}$ |
このエンドポイントを識別する名前。 名前には英数字、ピリオド、アンダースコア、ハイフンのみを含めることができます。最大長は 64 文字です。 予約されている名前は、イベント、fileNotifications、$defaultです。 エンドポイント名は、エンドポイントの種類間で一意である必要があります。 |
| partitionKeyName |
string |
この Cosmos DB SQL コンテナーに関連付けられているパーティション キーの名前 (存在する場合)。 これは省略可能なパラメーターです。 |
| partitionKeyTemplate |
string |
この Cosmos DB SQL コンテナーで使用する合成パーティション キー値を生成するためのテンプレート。 テンプレートには、{iothub}、{deviceid}、{DD}、{MM}、{YYYY} のいずれかのプレースホルダーが少なくとも 1 つ含まれている必要があります。 1 つのプレースホルダーは最大で 1 回指定できますが、順序とプレースホルダー以外のコンポーネントは任意です。 このパラメーターは、PartitionKeyName が指定されている場合にのみ必要です。 |
| primaryKey |
string (password) |
Cosmos DB アカウントの主キー。 |
| resourceGroup |
string |
Cosmos DB アカウントのリソース グループの名前。 |
| secondaryKey |
string (password) |
Cosmos DB アカウントのセカンダリ キー。 |
| subscriptionId |
string |
Cosmos DB アカウントのサブスクリプション識別子。 |
RoutingEndpoints
IoT ハブがルーティング規則に基づいてメッセージをルーティングするカスタム エンドポイントに関連するプロパティ。 有料ハブのすべての種類のすべてのエンドポイントで最大 10 個のカスタム エンドポイントが許可され、無料ハブのすべてのエンドポイントの種類で許可されるカスタム エンドポイントは 1 つだけです。
| Name | 型 | 説明 |
|---|---|---|
| cosmosDBSqlContainers |
IoT Hub がルーティング規則に基づいてメッセージをルーティングする Cosmos DB コンテナー エンドポイントの一覧。 |
|
| eventHubs |
ルーティング規則に基づいて、IoT Hub がメッセージをルーティングする Event Hubs エンドポイントの一覧。 この一覧には、組み込みの Event Hubs エンドポイントは含まれません。 |
|
| eventStreams |
IoTハブがルーティングルールに基づいてメッセージをルーティングするイベントストリームエンドポイントのリストです。 |
|
| serviceBusQueues |
ルーティング規則に基づいて、IoT ハブがメッセージをルーティングする Service Bus キュー エンドポイントの一覧。 |
|
| serviceBusTopics |
ルーティング規則に基づいて、IoT ハブがメッセージをルーティングする Service Bus トピック エンドポイントの一覧。 |
|
| storageContainers |
ルーティング規則に基づいて、IoT Hub がメッセージをルーティングするストレージ コンテナー エンドポイントの一覧。 |
RoutingEventHubProperties
イベント ハブ エンドポイントに関連するプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| authenticationType |
イベント ハブ エンドポイントに対する認証に使用されるメソッド |
|
| connectionString |
string (password) |
イベント ハブ エンドポイントの接続文字列。 |
| endpointUri |
string |
イベント ハブ エンドポイントの URL。 プロトコル sb:// を含める必要があります |
| entityPath |
string |
イベント ハブ名前空間のイベント ハブ名 |
| id |
string |
イベント ハブ エンドポイントの ID |
| identity |
ルーティング イベント ハブ エンドポイントのマネージド ID プロパティ。 |
|
| name |
string pattern: ^[A-Za-z0-9-._]{1,64}$ |
このエンドポイントを識別する名前。 名前には英数字、ピリオド、アンダースコア、ハイフンのみを含めることができます。最大長は 64 文字です。 予約されている名前は、イベント、fileNotifications、$defaultです。 エンドポイント名は、エンドポイントの種類間で一意である必要があります。 |
| resourceGroup |
string |
イベント ハブ エンドポイントのリソース グループの名前。 |
| subscriptionId |
string |
イベント ハブ エンドポイントのサブスクリプション識別子。 |
RoutingEventStreamProperties
これらのプロパティはイベントストリームのエンドポイントに関連しています。
| Name | 型 | 説明 |
|---|---|---|
| authenticationType |
イベントストリームエンドポイントに対して認証する方法 |
|
| endpointUri |
string |
イベントストリームエンドポイントの基盤となるイベントハブ名前空間のURL。 プロトコル sb:// を含める必要があります |
| entityPath |
string |
イベント ハブ名前空間のイベント ハブ名 |
| eventStreamId |
string |
ワークスペース下のターゲットイベントストリームのユニークなGUID。 |
| id |
string |
イベントストリームエンドポイントのID |
| identity |
ルーティングイベントストリームエンドポイントのマネージドアイデンティティプロパティ。 |
|
| name |
string pattern: ^[A-Za-z0-9-._]{1,64}$ |
このエンドポイントを識別する名前。 名前には英数字、ピリオド、アンダースコア、ハイフンのみを含めることができます。最大長は 64 文字です。 予約されている名前は、イベント、fileNotifications、$defaultです。 エンドポイント名は、エンドポイントの種類間で一意である必要があります。 |
| sourceId |
string |
イベントストリームのカスタムソースのユニークなGUID。 |
| workspaceId |
string |
イベントストリームエンドポイントのターゲットMicrosoft FabricワークスペースのユニークなGUID。 |
RoutingProperties
IoT ハブのルーティング関連のプロパティ。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-messaging を参照
| Name | 型 | 説明 |
|---|---|---|
| endpoints |
IoT ハブがルーティング規則に基づいてメッセージをルーティングするカスタム エンドポイントに関連するプロパティ。 有料ハブのすべての種類のすべてのエンドポイントで最大 10 個のカスタム エンドポイントが許可され、無料ハブのすべてのエンドポイントの種類で許可されるカスタム エンドポイントは 1 つだけです。 |
|
| enrichments |
組み込みエンドポイントとカスタム エンドポイントに配信されるメッセージに IoT ハブが適用するユーザー指定のエンリッチメントの一覧。 https://aka.ms/telemetryoneventgrid を参照 |
|
| fallbackRoute |
"routes" セクションで指定された条件が満たされていない場合にフォールバック ルートとして使用されるルートのプロパティ。 これは省略可能なパラメーターです。 このプロパティが設定されていない場合、'routes' セクションで指定された条件を満たしていないメッセージは、組み込みの eventhub エンドポイントにルーティングされます。 |
|
| routes |
IoT ハブが組み込みエンドポイントとカスタム エンドポイントにメッセージをルーティングするために使用するユーザー指定のルーティング規則の一覧。 有料ハブには最大 100 個のルーティング規則が許可され、無料ハブでは最大 5 つのルーティング規則が許可されます。 |
RoutingServiceBusQueueEndpointProperties
Service Bus キュー エンドポイントの種類に関連するプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| authenticationType |
Service Bus キュー エンドポイントに対する認証に使用されるメソッド |
|
| connectionString |
string (password) |
Service Bus キュー エンドポイントの接続文字列。 |
| endpointUri |
string |
Service Bus キュー エンドポイントの URL。 プロトコル sb:// を含める必要があります |
| entityPath |
string |
Service Bus 名前空間のキュー名 |
| id |
string |
Service Bus キュー エンドポイントの ID |
| identity |
ルーティング サービス バス キュー エンドポイントのマネージド ID プロパティ。 |
|
| name |
string pattern: ^[A-Za-z0-9-._]{1,64}$ |
このエンドポイントを識別する名前。 名前には英数字、ピリオド、アンダースコア、ハイフンのみを含めることができます。最大長は 64 文字です。 予約されている名前は、イベント、fileNotifications、$defaultです。 エンドポイント名は、エンドポイントの種類間で一意である必要があります。 実際のキュー名と同じ名前である必要はありません。 |
| resourceGroup |
string |
Service Bus キュー エンドポイントのリソース グループの名前。 |
| subscriptionId |
string |
Service Bus キュー エンドポイントのサブスクリプション識別子。 |
RoutingServiceBusTopicEndpointProperties
Service Bus トピック エンドポイントの種類に関連するプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| authenticationType |
Service Bus トピック エンドポイントに対する認証に使用されるメソッド |
|
| connectionString |
string (password) |
Service Bus トピック エンドポイントの接続文字列。 |
| endpointUri |
string |
Service Bus トピック エンドポイントの URL。 プロトコル sb:// を含める必要があります |
| entityPath |
string |
Service Bus トピックのキュー名 |
| id |
string |
Service Bus トピック エンドポイントの ID |
| identity |
ルーティング サービス バス トピック エンドポイントのマネージド ID プロパティ。 |
|
| name |
string pattern: ^[A-Za-z0-9-._]{1,64}$ |
このエンドポイントを識別する名前。 名前には英数字、ピリオド、アンダースコア、ハイフンのみを含めることができます。最大長は 64 文字です。 予約されている名前は、イベント、fileNotifications、$defaultです。 エンドポイント名は、エンドポイントの種類間で一意である必要があります。 名前は、実際のトピック名と同じである必要はありません。 |
| resourceGroup |
string |
Service Bus トピック エンドポイントのリソース グループの名前。 |
| subscriptionId |
string |
Service Bus トピック エンドポイントのサブスクリプション識別子。 |
RoutingSource
ルーティング規則を適用するソース (DeviceMessages など)。
| 値 | 説明 |
|---|---|
| Invalid |
無効です |
| DeviceMessages |
デバイスメッセージ |
| TwinChangeEvents |
ツインチェンジイベント |
| DeviceLifecycleEvents |
デバイスライフサイクルイベント |
| DeviceJobLifecycleEvents |
デバイスジョブライフサイクルイベント |
| DeviceConnectionStateEvents |
デバイス接続状態イベント |
RoutingStorageContainerProperties
ストレージコンテナエンドポイントに関連するプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| authenticationType |
ストレージ エンドポイントに対する認証に使用されるメソッド |
|
| batchFrequencyInSeconds |
integer (int32) minimum: 60maximum: 720 |
BLOB がストレージに書き込まれる時間間隔。 値は 60 ~ 720 秒にする必要があります。 既定値は 300 秒です。 |
| connectionString |
string (password) |
ストレージ アカウントの接続文字列。 |
| containerName |
string |
ストレージ アカウント内のストレージ コンテナーの名前。 |
| encoding |
メッセージを BLOB にシリアル化するために使用されるエンコード。 サポートされる値は、'avro'、'avrodeflate'、および 'JSON' です。 既定値は 'avro' です。 |
|
| endpointUri |
string |
ストレージ エンドポイントの URL。 プロトコル https:// を含める必要があります |
| fileNameFormat |
string |
BLOB のファイル名の形式。 既定の形式は {iothub}/{partition}/{YYYY}/{MM}/{DD}/{HH}/{mm} です。 すべてのパラメーターは必須ですが、順序を変更できます。 |
| id |
string |
ストレージ コンテナー エンドポイントの ID |
| identity |
ルーティング ストレージ エンドポイントのマネージド ID プロパティ。 |
|
| maxChunkSizeInBytes |
integer (int32) minimum: 10485760maximum: 524288000 |
ストレージに書き込まれる各 BLOB の最大バイト数。 値は、10485760(10 MB) から 524288000(500 MB) の間である必要があります。 既定値は 314572800(300 MB) です。 |
| name |
string pattern: ^[A-Za-z0-9-._]{1,64}$ |
このエンドポイントを識別する名前。 名前には英数字、ピリオド、アンダースコア、ハイフンのみを含めることができます。最大長は 64 文字です。 予約されている名前は、イベント、fileNotifications、$defaultです。 エンドポイント名は、エンドポイントの種類間で一意である必要があります。 |
| resourceGroup |
string |
ストレージ アカウントのリソース グループの名前。 |
| subscriptionId |
string |
ストレージ アカウントのサブスクリプション識別子。 |
RoutingStorageContainerPropertiesEncoding
メッセージを BLOB にシリアル化するために使用されるエンコード。 サポートされる値は、'avro'、'avrodeflate'、および 'JSON' です。 既定値は 'avro' です。
| 値 | 説明 |
|---|---|
| Avro |
Avro |
| AvroDeflate |
アブロデフレート |
| JSON |
JSON |
SharedAccessSignatureAuthorizationRule
IoT ハブの共有アクセス ポリシーのプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| keyName |
string |
共有アクセス ポリシーの名前。 |
| primaryKey |
string |
主キー。 |
| rights |
共有アクセス ポリシーに割り当てられたアクセス許可。 |
|
| secondaryKey |
string |
セカンダリ キー。 |
StorageEndpointProperties
ファイル アップロード用の Azure Storage エンドポイントのプロパティ。
| Name | 型 | 説明 |
|---|---|---|
| authenticationType |
ストレージ アカウントへの接続に使用する認証の種類を指定します。 |
|
| connectionString |
string |
ファイルがアップロードされる Azure Storage アカウントの接続文字列。 |
| containerName |
string |
ファイルをアップロードするルート コンテナーの名前。 コンテナーは存在する必要はありませんが、指定された connectionString を使用して作成できる必要があります。 |
| identity |
ファイルアップロード用のストレージ エンドポイントのマネージド ID プロパティ。 |
|
| sasTtlAsIso8601 |
string (duration) |
IoT Hub によって生成されたファイルアップロード用の SAS URI が有効な期間。 https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-upload#file-upload-notification-configuration-optionsを参照してください。 |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| Name | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |